### Method

# Gio File hash

#### Declaration [src]

    guint
    g_file_hash (
      gconstpointer file
    )

#### Description [src]

Creates a hash value for a `GFile`.

This call does no blocking I/O.

#### Return value

Type: `guint`

0 if `file` is not a valid `GFile`, otherwise an integer that can be used as hash value for the `GFile`. This function is intended for easily hashing a `GFile` to add to a `GHashTable` or similar data structure.